package com.njcn.device.utils;

/**
 * pqs
 *
 * @author cdf
 * @date 2022/1/6
 */
public class DeviceUtil {

    /**
     * 根据电压大小获取基准容量
     *
     * @author cdf
     * @date 2021/7/19
     */
    public static Float getJCAPByScale(String sacleName) {
        if (sacleName.equals("6kV") || sacleName.equals("10kV")) {
            return 100f;
        } else if (sacleName.equals("20kV")) {
            return 200f;
        } else if (sacleName.equals("35kV")) {
            return 250f;
        } else if (sacleName.equals("66kV")) {
            return 500f;
        } else if (sacleName.equals("110kV")) {
            return 750f;
        } else if (sacleName.equals("220kV")) {
            return 2000f;
        } else if (sacleName.equals("330kV")) {
            return 3000f;
        } else if (sacleName.equals("500kV")) {
            return 4500f;
        } else if (sacleName.equals("750kV")) {
            return 7000f;
        } else if (sacleName.equals("1000kV")) {
            return 9000f;
        } else {
            return 10f;
        }
    }
}
